import { AbstractMessageTemplate } from './AbstractMessageTemplate';
import { IAirlineBoardingPassTemplate, IBoardingPass } from '../../interfaces';
import { AirlineBoardingPassTemplateBuilder } from '../../builders/templates';
/**
 * Represents an Airline Boarding Pass Template. Used to represent shape of Facebook API object. Type returned by
 * builder and exposed to users to create own object of proper shape if desired taking into account content restrictions
 * for the object.
 *
 * Check link for content restrictions: https://developers.facebook.com/docs/messenger-platform/reference/template/airline-boarding-pass
 */
export declare class AirlineBoardingPassTemplate extends AbstractMessageTemplate implements IAirlineBoardingPassTemplate {
    readonly boarding_pass: IBoardingPass[];
    readonly intro_message: string;
    readonly locale: string;
    readonly theme_color?: string;
    constructor(builder: AirlineBoardingPassTemplateBuilder);
    get Boarding_pass(): IBoardingPass[];
    get Intro_message(): string;
    get Locale(): string;
    get Theme_color(): string | undefined;
}
