import { AbstractMessageTemplate } from './AbstractMessageTemplate';
import { IAirlineCheckInTemplate, IBoardingPassFlightInfo } from '../../interfaces';
import { AirlineCheckInTemplateBuilder } from '../../builders/templates';
/**
 * Represents an Airline CheckIn Template. Used to represent shape of Facebook API object. Type returned by builder and
 * exposed to users to create own object of proper shape if desired taking into account content restrictions for the object.
 *
 * Check link for content restrictions: https://developers.facebook.com/docs/messenger-platform/reference/template/airline-checkin
 */
export declare class AirlineCheckInTemplate extends AbstractMessageTemplate implements IAirlineCheckInTemplate {
    readonly checkin_url: string;
    readonly flight_info: IBoardingPassFlightInfo[];
    readonly intro_message: string;
    readonly locale: string;
    readonly pnr_number?: string;
    constructor(builder: AirlineCheckInTemplateBuilder);
    get Checkin_url(): string;
    get Flight_info(): IBoardingPassFlightInfo[];
    get Intro_message(): string;
    get Locale(): string;
    get Pnr_number(): string | undefined;
}
