import { AbstractMessageTemplate } from './AbstractMessageTemplate';
import { IAirlineFlightUpdateTemplate, IBoardingPassFlightInfo } from '../../interfaces';
import { AirlineFlightUpdateTemplateBuilder } from '../../builders/templates';
/**
 * Represents an Airline Flight Update Template. Used to represent shape of Facebook API object. Type returned by
 * builder and exposed to users to create own object of proper shape if desired taking into account content restrictions
 * for the object.
 *
 * Check link for content restrictions: https://developers.facebook.com/docs/messenger-platform/reference/template/airline-flight-update
 */
export declare class AirlineFlightUpdateTemplate extends AbstractMessageTemplate implements IAirlineFlightUpdateTemplate {
    readonly intro_message: string;
    readonly locale: string;
    readonly pnr_number?: string;
    readonly theme_color?: string;
    readonly update_flight_info: IBoardingPassFlightInfo;
    readonly update_type: string;
    constructor(builder: AirlineFlightUpdateTemplateBuilder);
    get Intro_message(): string;
    get Locale(): string;
    get Pnr_number(): string | undefined;
    get Theme_color(): string | undefined;
    get Update_flight_info(): IBoardingPassFlightInfo;
    get Update_type(): string;
}
