import { AbstractMessageTemplate } from './AbstractMessageTemplate';
import { IButton, IButtonTemplate } from '../../interfaces';
import { ButtonTemplateBuilder } from '../../builders/templates';
/**
 * Represents a IButton Template. Used to represent shape of Facebook API object. Type returned by builder and exposed
 * to users to create own object of proper shape if desired taking into account content restrictions for the object.
 *
 * Check link for content restrictions: https://developers.facebook.com/docs/messenger-platform/reference/template/button
 */
export declare class ButtonTemplate extends AbstractMessageTemplate implements IButtonTemplate {
    readonly buttons: IButton[];
    readonly text: string;
    readonly sharable?: boolean;
    constructor(builder: ButtonTemplateBuilder);
    get Buttons(): IButton[];
    get Text(): string;
    get Sharable(): boolean | undefined;
}
