import { AbstractMessageTemplate } from './AbstractMessageTemplate';
import { IGenericTemplate, IGenericTemplateElement } from '../../interfaces';
import { GenericTemplateBuilder } from '../../builders/templates';
/**
 * Represents a Generic Template. Used to represent shape of Facebook API object. Type returned by builder and exposed
 * to users to create own object of proper shape if desired taking into account content restrictions for the object.
 *
 * Check link for content restrictions: https://developers.facebook.com/docs/messenger-platform/reference/template/generic
 */
export declare class GenericTemplate extends AbstractMessageTemplate implements IGenericTemplate {
    readonly elements: IGenericTemplateElement[];
    readonly image_aspect_ratio?: string;
    readonly sharable?: boolean;
    constructor(builder: GenericTemplateBuilder);
    get Elements(): IGenericTemplateElement[];
    get Image_aspect_ratio(): string | undefined;
    get Sharable(): boolean | undefined;
}
