"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class FacebookMessageParser {
    /* istanbul ignore next line */
    constructor() { }
    static parsePayload(payload) {
        if (payload.hasOwnProperty('object') && payload.object === 'page' &&
            typeof payload.entry !== 'undefined') {
            return FacebookMessageParser.flattenPayload(payload.entry);
        }
        console.error('Invalid/Unknown Facebook Message Event.', { payload });
        return [];
    }
    static flattenPayload(payload) {
        return payload.reduce((flat, toFlatten) => {
            return flat.concat(Array.isArray(toFlatten) ? FacebookMessageParser.flattenPayload(toFlatten) :
                Array.isArray(toFlatten.messaging) ? FacebookMessageParser.flattenPayload(toFlatten.messaging) :
                    toFlatten);
        }, []);
    }
}
exports.FacebookMessageParser = FacebookMessageParser;
//# sourceMappingURL=FacebookMessageParser.js.map