import { ProxyData } from '../interfaces';
import { PageSettings } from '../profile/FacebookProfileAPIClient';
import { PagePost } from '../page/FacebookPageAPIClient';
import { ClientMessage } from '..';
export interface RequestOptions {
    url: string;
    qs: {
        access_token?: string;
        fields?: string;
    };
    method?: string;
    proxy?: Object;
    json?: PageSettings | PagePost | ClientMessage;
}
export interface RequestData {
    token: string;
    proxy?: string;
}
export declare class Utils {
    private static requestOptions;
    private constructor();
    static getRequestOptions(): RequestOptions;
    static sendMessage(options: RequestOptions, requestData: RequestData, cb?: Function): Promise<unknown>;
    static getProxyData(requestData: RequestData, proxyData?: ProxyData): RequestData;
}
